package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

/**
 * 付费代理商	实体类
 * 2017年2月15日
 * @author muzx
 *
 */
public class AgentInfo implements Serializable{
	private static final long serialVersionUID = 6749690948566353650L;
	private Integer agentId;				//代理商id
	private String agentOpenId;				//代理商openid
	private String agentNickname;			//微信昵称
	private String agentHead;				//头像
	private String agentArea;				//地区
	
	private Integer agentSex;				//性别	1:男（默认）；	0：女
	private String agentTel;				//电话
	private String agentReferrerOpenid;		//推荐人openid
	private String agentReferrerName;		//推荐人昵称
	private Date agentCreateTime;			//创建时间
	private String agentRemark;				//备注
	
	private Integer agentCardSum;			//售出礼品卡总数，达到8张后清零
	private Integer agentIsHudredAgent;     //是否是百台代理      0:万元代理      1：百台代理
	private PageBean page = new PageBean();		//分页
	private Integer payStatus;	//是否已支付
	
	public Integer getAgentCardSum() {
		return agentCardSum;
	}
	public void setAgentCardSum(Integer agentCardSum) {
		this.agentCardSum = agentCardSum;
	}
	public Integer getAgentId() {
		return agentId;
	}
	public void setAgentId(Integer agentId) {
		this.agentId = agentId;
	}
	public String getAgentOpenId() {
		return agentOpenId;
	}
	public void setAgentOpenId(String agentOpenId) {
		this.agentOpenId = agentOpenId;
	}
	public String getAgentNickname() {
		return agentNickname;
	}
	public void setAgentNickname(String agentNickname) {
		this.agentNickname = agentNickname;
	}
	public String getAgentHead() {
		return agentHead;
	}
	public void setAgentHead(String agentHead) {
		this.agentHead = agentHead;
	}
	public String getAgentArea() {
		return agentArea;
	}
	public void setAgentArea(String agentArea) {
		this.agentArea = agentArea;
	}
	public Integer getAgentSex() {
		return agentSex;
	}
	public void setAgentSex(Integer agentSex) {
		this.agentSex = agentSex;
	}
	public String getAgentTel() {
		return agentTel;
	}
	public void setAgentTel(String agentTel) {
		this.agentTel = agentTel;
	}
	public String getAgentReferrerOpenid() {
		return agentReferrerOpenid;
	}
	public void setAgentReferrerOpenid(String agentReferrerOpenid) {
		this.agentReferrerOpenid = agentReferrerOpenid;
	}
	public String getAgentReferrerName() {
		return agentReferrerName;
	}
	public void setAgentReferrerName(String agentReferrerName) {
		this.agentReferrerName = agentReferrerName;
	}
	public Date getAgentCreateTime() {
		return agentCreateTime;
	}
	public void setAgentCreateTime(Date agentCreateTime) {
		this.agentCreateTime = agentCreateTime;
	}
	public String getAgentRemark() {
		return agentRemark;
	}
	public void setAgentRemark(String agentRemark) {
		this.agentRemark = agentRemark;
	}
	
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	
	public Integer getPayStatus() {
		return payStatus;
	}
	public void setPayStatus(Integer payStatus) {
		this.payStatus = payStatus;
	}
    public Integer getAgentIsHudredAgent() {
        return agentIsHudredAgent;
    }
    public void setAgentIsHudredAgent(Integer agentIsHudredAgent) {
        this.agentIsHudredAgent = agentIsHudredAgent;
    }
    @Override
    public String toString() {
        return "AgentInfo [agentId=" + agentId + ", agentOpenId=" + agentOpenId
                + ", agentNickname=" + agentNickname + ", agentHead="
                + agentHead + ", agentArea=" + agentArea + ", agentSex="
                + agentSex + ", agentTel=" + agentTel
                + ", agentReferrerOpenid=" + agentReferrerOpenid
                + ", agentReferrerName=" + agentReferrerName
                + ", agentCreateTime=" + agentCreateTime + ", agentRemark="
                + agentRemark + ", agentCardSum=" + agentCardSum
                + ", agentIsHudredAgent=" + agentIsHudredAgent + ", page="
                + page + ", payStatus=" + payStatus + "]";
    }
	
}
